"""Resources module."""

from dataclasses import dataclass


@dataclass
class Resource:
    """Cluster generic resource."""

    description: str
    max_duration: int


CPU = [
    Resource('1', 24),
    Resource('2', 12),
    Resource('4', 6),
    Resource('8', 3),
    Resource('12', 2),
    Resource('24', 1),
]

RAM = [
    Resource('4', 24),
    Resource('8', 12),
    Resource('16', 6),
    Resource('32', 3),
    Resource('48', 2),
    Resource('96', 1),
]

GPU = [
    Resource('no', 24),
    Resource('A40', 2),
    Resource('A100', 1),
]
